<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package home_services
 */

get_header();
?>

<?php
	$col_class = 'col-sm-12';
	if( is_active_sidebar( 'sidebar-1' ) ) {
		$col_class = "col-sm-8";
	}
?>


<div class="inside-page search-page">
	<div class="container">
		<h1 class="page-title">
			<?php echo single_cat_title( '', false ); ?>
		</h1>
		<div class="row">
			<div class="<?php echo esc_attr( $col_class ); ?>">
				<main id="primary" class="site-main">

					<?php if ( have_posts() ) : ?>


						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							 * Include the Post-Type-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile;

						the_posts_navigation();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>

				</main><!-- #main -->
			</div>
			<?php if( is_active_sidebar( 'sidebar-1' ) ) { ?>
				<div class="col-sm-4"><?php get_sidebar(); ?></div>
			<?php } ?>
		</div>
	</div>
</div>

<?php
get_footer();
